package cn.com.tenlion.systembase.controller.route.comprehensivecenter;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: ComprehensiveCenterController
 * @Description: 综治中心
 * @Author: CodeFactory
 * @Date: 2021-10-12 15:24:00
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "综治中心路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/comprehensivecenter")
public class ComprehensiveCenterRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("comprehensivecenter/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("comprehensivecenter/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("comprehensivecenter/list");
    }

}